View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000069aMuleMiscpublic2004-06-17 19:312004-11-21 20:31
Reporterfuzzfaze 
Assigned ToKry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000069: font seems missing
DescriptionOne or two servers are not displayed properly. Meaning the text is only shown as squares. Usually it is just the server to which amule is currently connected. The screen shot now shows two servers. Same thing happens in the configure window with one the shared directories. This has _not_ been there from the beginning, but now after a reboot its there all the time.
Additional InformationI am using Slackware 9.1 as basis. This is accessed within a vncserver/x/kde "shell". The top server should be razorback so certainly not "strange" characters
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Filespng file icon server-window.png [^] (39,392 bytes) 2004-06-17 19:31


png file icon preference-window.png [^] (11,970 bytes) 2004-06-17 20:23

- Relationships

-  Notes
(0000103)
fuzzfaze (reporter)
2004-06-17 20:24

forgot to say its AppVersion=aMule 2.0.0rc3
(0000104)
fuzzfaze (reporter)
2004-06-22 12:00

Some more info. Meanwhile not only restarted amule also rebooted server. No change. The squared characters remain.
When connecting to one of these servers, the correct text (Razorback) appears briefly only to be replaced by squares again on a screen update
(0000113)
Xaignar (manager)
2004-06-23 18:08

That's quite strange. Are you sure that you have all the standard font packages installed for X11? Also, are there any messages on the console that might be related to this?

Cheers,
 Xaignar
(0000118)
fuzzfaze (reporter)
2004-06-23 23:11

Just checked and found 100dpi, misc and scaleable. Well and cyrillic.
For the heck of it I just reinstalled them all and restarted the whole box.
Problem unchanged.

Nope, now console errors whatsoever. Now with aMule-cvs-20040623.tar.bz2

I should say again, this is a "headless" box. After boot, I telnet and start X within vncserver. amule runs in that.

Though all that should not really matter I'd think.
After all, what is the difference between one entry and another in the server or shared files list?

Hm, just played around a bit.
As soon as I connect to a server, the boxes appear. The server info scrolls in and the font changes to boxes. tried 2/3 servers.
(0000119)
fuzzfaze (reporter)
2004-06-23 23:22

Just noticed:
- in preferences / amule tweaks the red header (above the Do not.. text) also shows as big squares.

- checking through the "shared folders", I see nothing to mark them as shared. The tree is there alright, no font problems. But I guess that is transitory due to development... My folders are still shared and I could always edit the shareddir.dat...
(0000399)
Jacobo221 (updater)
2004-11-20 06:11

rc3 had the double bolded servers bug, so probably those were the two servers in bold (the one currently connected to and the next one in the list which was the one which it was trying to connect to).
Same on preferences: in RC3, directories which lead to a shared directory but weren't themselves shared were shown as bold.

This user lacks the bold fonts.

I'm closing the bug.
(0000410)
Kry (manager)
2004-11-21 20:31

No, I am closing the bug

- Issue History
Date Modified Username Field Change
2004-06-17 19:31 fuzzfaze New Issue
2004-06-17 19:31 fuzzfaze File Added: server-window.png
2004-06-17 20:23 fuzzfaze File Added: preference-window.png
2004-06-17 20:24 fuzzfaze Note Added: 0000103
2004-06-22 12:00 fuzzfaze Note Added: 0000104
2004-06-23 18:08 Xaignar Note Added: 0000113
2004-06-23 23:11 fuzzfaze Note Added: 0000118
2004-06-23 23:22 fuzzfaze Note Added: 0000119
2004-11-20 06:11 Jacobo221 Note Added: 0000399
2004-11-21 20:31 Kry Status new => resolved
2004-11-21 20:31 Kry Resolution open => fixed
2004-11-21 20:31 Kry Assigned To => Kry
2004-11-21 20:31 Kry Note Added: 0000410


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker